## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global gtk4_version 4.14.0
%global libadwaita_version 1.6
%global vte_version 0.77.0

Name:           gnome-console
Version:        48.0.1
Release:        %autorelease
Summary:        Simple user-friendly terminal emulator for the GNOME desktop

License:        GPL-3.0-or-later
URL:            https://gitlab.gnome.org/GNOME/console
Source:         https://download.gnome.org/sources/gnome-console/48/gnome-console-%{version_no_tilde .}.tar.xz

BuildRequires:  meson >= 0.59.0
BuildRequires:  gcc
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:  pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(vte-2.91-gtk4) >= %{vte_version}
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-validate

Requires:       gtk4%{?_isa} >= %{gtk4_version}
Requires:       libadwaita%{?_isa} >= %{libadwaita_version}
Requires:       vte291-gtk4%{?_isa} >= %{vte_version}

# Removed in F37
Obsoletes: gnome-console-nautilus < 43~beta

ExcludeArch: %{ix86}

%description
%{summary}.

%prep
%autosetup -p 1 -n %{name}-%{version_no_tilde .}

%build
%meson
%meson_build

%install
%meson_install
%find_lang kgx

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Console.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.gnome.Console.metainfo.xml

%files -f kgx.lang
%license COPYING
%doc NEWS README.md
%{_bindir}/kgx
%{_datadir}/applications/org.gnome.Console.desktop
%{_metainfodir}/org.gnome.Console.metainfo.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Console.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Console.service
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Console.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Console-symbolic.svg

%changelog
## START: Generated by rpmautospec
* Mon Mar 17 2025 nmontero <nmontero@redhat.com> - 48.0.1-1
- Update to 48.0.1

* Fri Mar 14 2025 nmontero <nmontero@redhat.com> - 48~rc-1
- Update to 48~rc

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 47.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Sep 20 2024 nmontero <nmontero@redhat.com> - 47.1-1
- Update to 47.1

* Tue Sep 17 2024 nmontero <nmontero@redhat.com> - 47.0-1
- Update to 47.0

* Mon Sep 02 2024 David King <amigadave@amigadave.com> - 47~rc-1
- Update to 47.rc

* Fri Aug 16 2024 David King <amigadave@amigadave.com> - 47~beta-2
- Update sources

* Fri Aug 16 2024 David King <amigadave@amigadave.com> - 47~beta-1
- Update to 47.beta

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 46.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Apr 04 2024 David King <amigadave@amigadave.com> - 46.0-2
- Require given vte version

* Tue Apr 02 2024 David King <amigadave@amigadave.com> - 46.0-1
- Update to 46.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 45.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 45.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Sep 20 2023 Kalev Lember <klember@redhat.com> - 45.0-1
- Update to 45.0

* Sun Aug 06 2023 Kalev Lember <klember@redhat.com> - 45~beta-1
- Update to 45.beta

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 44.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Mar 20 2023 David King <amigadave@amigadave.com> - 44.0-1
- Update to 44.0

* Thu Feb 16 2023 David King <amigadave@amigadave.com> - 44~beta-1
- Update to 44.beta

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 43.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Oct 29 2022 David King <amigadave@amigadave.com> - 43.0-2
- Rebuild against vte

* Sun Sep 25 2022 Kalev Lember <klember@redhat.com> - 43.0-1
- Update to 43.0

* Tue Sep 06 2022 Kalev Lember <klember@redhat.com> - 43~rc-1
- Update to 43.rc

* Wed Aug 10 2022 Kalev Lember <klember@redhat.com> - 43~beta-1
- Update to 43.beta
- Switch to gtk4
- Remove and obsolete nautilus extension (dropped upstream)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 42.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Kalev Lember <klember@redhat.com> - 42.2-1
- Update to 42.2

* Thu Mar 31 2022 Carl George <carl@george.computer> - 42~beta-3
- Enable Ctrl+PgUp/PgDn to switch tabs if there are multiple tabs

* Mon Mar 21 2022 Carl George <carl@george.computer> - 42~beta-2
- Add URL

* Thu Feb 17 2022 Igor Raits <igor.raits@gmail.com> - 42~beta-1
- Initial import (Closes: rhbz#2055828)
## END: Generated by rpmautospec
